Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.games.staticmethods
Class StaticGameMethods

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.games.staticmethods.StaticGameMethods

    public final class StaticGameMethods

extends java.lang.Object

This class has some methods for analyzing the underlying stage game (statically)

Nested Class Summary
`static class` | `StaticGameMethods.PLAYER` Player identifier

Constructor Summary
`private` | `StaticGameMethods()` Private Constructor

Method Summary
`static java.util.ArrayList<int[]>` | `getPSNE(Game gm, boolean showOutput)` Calculates all Pure-Strategy Nash Equilibria of a game
`static java.util.ArrayList<java.lang.Integer>[][]` | `getStaticBestResponses(Game gm, boolean showOutput)` Calculates *all* best responses for player `player` Method is not multi-threaded.
`static java.util.ArrayList<java.lang.Integer>[]` | `getStaticBestResponses(Game gm, StaticGameMethods.PLAYER play)` Calculates *all* best responses for player `player` Method is not multi-threaded.
`static BitSetFixed[]` | `getStrictDomStrats(Game game, boolean showOutput)` Iterated elimination of strictly dominated strategies
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticGameMethods

    private StaticGameMethods()

  Private Constructor

Method Detail

### main

    public static void main(java.lang.String[] args)

### getStaticBestResponses

    public static java.util.ArrayList<java.lang.Integer>[][] getStaticBestResponses(Game gm,
                                                                                    boolean showOutput)

  Calculates *all* best responses for player `player` Method is not multi-threaded.

  Parameters:
    `gm` - the game
    `showOutput` -
  Returns:
    an array `BR[][]` where `BR[i][a_j]` is a list of `i`'s BRs to action `a_j`

### getStaticBestResponses

    public static java.util.ArrayList<java.lang.Integer>[] getStaticBestResponses(Game gm,
                                                                                  StaticGameMethods.PLAYER play)

  Calculates *all* best responses for player `player` Method is not multi-threaded.

  Parameters:
    `gm` - the game
    `player` - the player (0 or 1)
  Returns:
    an array `BR` where `BR[a_j]` is a list of `i`'s BRs to action `a_j`

### getPSNE

    public static java.util.ArrayList<int[]> getPSNE(Game gm,
                                                     boolean showOutput)

  Calculates all Pure-Strategy Nash Equilibria of a game

  Parameters:
    `gm` - A stage game
    `showOutput` - whether or not the method should display its results
  Returns:
    an arraylist of integer couples, which correspond to PSNE

### getStrictDomStrats

    public static BitSetFixed[] getStrictDomStrats(Game game,
                                                   boolean showOutput)

  Iterated elimination of strictly dominated strategies

  Parameters:
    `game` -
    `showOutput` -
  Returns:
    an array `X` of bitsets, where `X[0]` is the row player and `X[1]` is the column player. The bit at an action is set to `true` if it is strictly dominated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD